﻿using System;
using System.Windows.Forms;
using PerpetuumSoft.Reporting.Components;
using PerpetuumSoft.Reporting.View;

namespace ReportSlotCustomized
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            fileReportSlot.RenderCompleted += PreviewReport;
        }

        private void PreviewReport(object sender, EventArgs e)
        {
            using(var form = new PreviewForm((IReportSource) sender)) {
                form.WindowState = FormWindowState.Maximized;
                form.ShowDialog(this);
            }
        }

        private void btnPreview_Click(object sender, EventArgs e)
        {
            fileReportSlot.Prepare();
        }
    }
}
